/* SPDX-License-Identifier: AGPL-3.0-or-later
 * SPDX-FileCopyrightText: 2024 JayVii <jayvii[AT]posteo[DOT]de>
 */

/* Decode HTML by creating a text area in DOM and returning its text value */
function decode(encoded_html) {
    var obj = document.createElement("textarea");
    obj.innerHTML = encoded_html;
    return obj.value;
}

/* Extract Codeblock text from HTML */
function codeblock(selector = 'pre#blob') {
  /* Fetch content of code block */
  var code_raw = document.querySelector(selector).innerHTML;
  /* Strip line number links */
  var code_encoded = code_raw.replace(/<a.*<\/a>\ /g, '');
  /* Decode codeblock text */
  var code = decode(code_encoded);
  return code;
}

/* Copy to clipboard and alert user */
function copy_to_clipboard(text) {
  navigator.clipboard.writeText(text);
  alert("Copied to your clipboard:\n====================\n\n" + text);
}
